<!DOCTYPE html
  SYSTEM "about:legacy-compat">
<html class="ui-mobile ui-mobile-rendering">
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=Edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <meta name="web_author" content="interactive instruments GmbH">
      <title>ETF Test Report</title>
      <link rel="stylesheet" href="http://resources.etf-validator.net/report/v2/css/de.interactive-instruments.min.css">
      <link rel="stylesheet" href="http://resources.etf-validator.net/report/v2/css/de.interactive-instruments.rep.css">
      <link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jquerymobile/1.4.5/jquery.mobile.min.css"><script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.11.3.min.js"></script><script src="http://ajax.googleapis.com/ajax/libs/jquerymobile/1.4.5/jquery.mobile.min.js"></script></head>
   <body class="ui-mobile-viewport ui-overlay-a">
      <div data-role="header">
         <h1>downloadService_17316219_Geodetick&amp;yacute; a kartografick&amp;yacute; &amp;uacute;stav Bratislava(GK&amp;Uacute;)_</h1><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//#test-reports" data-ajax="false" data-icon="back" data-iconpos="notext"></a></div>
      <div data-role="content">
         <div class="ui-grid-b">
            <div class="ui-block-a">
               <div id="rprtInfo">
                  <table>
                     <tbody>
                        <tr class="ReportDetail">
                           <td>Report URI</td>
                           <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en" data-ajax="false">Link</a></td>
                        </tr>
                        <tr>
                           <td>Status</td>
                           <td>Failed</td>
                        </tr>
                        <tr>
                           <td>Started</td>
                           <td>04/12/2017 13:08:19 GMT</td>
                        </tr>
                        <tr>
                           <td>Duration</td>
                           <td>38 s</td>
                        </tr>
                        <tr class="ReportDetail">
                           <td>Report version</td>
                           <td>2.0.0-b170610</td>
                        </tr>
                        <tr class="ReportDetail">
                           <td>Log URI</td>
                           <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/858e5029-afd9-4434-bc4e-358a38ccb516/log" data-ajax="false">Link</a></td>
                        </tr>
                     </tbody>
                  </table>
               </div>
            </div>
            <div class="ui-block-b">
               <div id="rprtStatistics">
                  <table id="my-table">
                     <thead>
                        <tr>
                           <th></th>
                           <th>Total Count</th>
                           <th>Skipped</th>
                           <th>Failed</th>
                           <th>Warnings</th>
                           <th>Manual</th>
                        </tr>
                     </thead>
                     <tbody>
                        <tr>
                           <td>Test suites</td>
                           <td>2</td>
                           <td>0</td>
                           <td>1</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                        <tr>
                           <td>Test modules</td>
                           <td>2</td>
                           <td>1</td>
                           <td>1</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                        <tr>
                           <td>Test cases</td>
                           <td>6</td>
                           <td>1</td>
                           <td>1</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                        <tr>
                           <td>Test steps</td>
                           <td>10</td>
                           <td>1</td>
                           <td>1</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                        <tr>
                           <td>Assertions</td>
                           <td>7</td>
                           <td>0</td>
                           <td>1</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                     </tbody>
                  </table>
               </div>
            </div>
            <div class="ui-block-c">
               <div id="rprtControl">
                  <fieldset id="controlgroupLOD" data-role="controlgroup" data-mini="true">
                     <legend>Level of detail</legend><label for="cntrlAllDetails">All details</label><input type="radio" name="radio-lod" id="cntrlAllDetails" value="cntrlAllDetails"><label for="cntrlLessInformation">Less information</label><input type="radio" name="radio-lod" id="cntrlLessInformation" value="cntrlLessInformation"><label for="cntrlSimplified">Simplified</label><input type="radio" name="radio-lod" id="cntrlSimplified" value="cntrlSimplified" checked></fieldset>
                  <fieldset id="controlgroupShow" data-role="controlgroup" data-mini="true">
                     <legend>Show</legend><label for="cntrlShowAll">All</label><input type="radio" name="radio-filter" id="cntrlShowAll" value="cntrlShowAll" checked><label for="cntrlShowOnlyFailed">Only failed</label><input type="radio" name="radio-filter" id="cntrlShowOnlyFailed" value="cntrlShowOnlyFailed"><label for="cntrlShowOnlyManual">Only manual</label><input type="radio" name="radio-filter" id="cntrlShowOnlyManual" value="cntrlShowOnlyManual"></fieldset>
               </div>
            </div>
         </div>
         <div id="rprtParameters" data-role="collapsible" data-collapsed-icon="info" class="ReportDetail">
            <h3>Parameters</h3>
            <table>
               <tbody>
                  <tr>
                     <td>etf.testcases</td>
                     <td>*</td>
                  </tr>
               </tbody>
            </table>
         </div>
         <div id="rprtTestobject" data-role="collapsible" data-collapsed-icon="info" class="DoNotShowInSimpleView">
            <h3>Test object: INSPIRE Download Service - Administrative Units</h3>
            <p>INSPIRE download service for the theme Administrative Units</p><a target="_blank" href="https://zbgisws.skgeodesy.sk/inspire_administrative_units_wfs/service.svc/get?ACCEPTVERSIONS=2.0.0&amp;request=GetCapabilities&amp;service=wfs&amp;VERSION=2.0.0">https://zbgisws.skgeodesy.sk/inspire_administrative_units_wfs/service.svc/get?ACCEPTVERSIONS=2.0.0&amp;request=GetCapabilities&amp;service=wfs&amp;VERSION=2.0.0</a><p>Associated test object types: </p>
            <ul>
               <li>OGC Web Feature Service 2.0  (A web service implementing OGC Web Feature Service 2.0 and OGC Filter Encoding 2.0.)</li>
            </ul>
         </div>
         <div id="rprtLogFile" data-role="collapsible" data-collapsed-icon="info" class="DoNotShowInSimpleView">
            <h3>Log path: WFS 2.0 (OGC 09-025r2/ISO 19142) Conformance Test Suite</h3><pre>04.12.2017 12:48:17 - Preparing Test Run downloadService_17316219_Geodetick&yacute; a kartografick&yacute; &uacute;stav Bratislava(GK&Uacute;)_ (initiated Mon Dec 04 12:48:17 CET 2017)
04.12.2017 12:48:17 - Resolving Executable Test Suite dependencies
04.12.2017 12:48:17 - Preparing 2 Test Task:
04.12.2017 12:48:17 -  TestTask 1 (9f1ea8c5-ae1c-4f91-b81f-e294bb9f24bc)
04.12.2017 12:48:17 -  will perform tests on Test Object 'INSPIRE Download Service - Administrative Units' by using Executable Test Suite 'WFS 2.0 (OGC 09-025r2/ISO 19142) Conformance Test Suite (EID: 95a1b6fc-2b55-3d43-9502-3b8b605bda10, V: 1.26.0 )'
04.12.2017 12:48:17 -  with parameters: 
04.12.2017 12:48:17 - etf.testcases = *
04.12.2017 12:48:17 -  TestTask 2 (519aa7d4-a3e9-47db-a69a-4a0327625a92)
04.12.2017 12:48:17 -  will perform tests on Test Object 'INSPIRE Download Service - Administrative Units' by using Executable Test Suite 'Conformance Class: Download Service - Direct WFS (EID: ed2d3501-d700-4ff9-b9bf-070dece8ddbd, V: 1.0.0 )'
04.12.2017 12:48:17 -  with parameters: 
04.12.2017 12:48:17 - etf.testcases = *
04.12.2017 12:48:17 - Test Tasks prepared and ready to be executed. Waiting for the scheduler to start.
04.12.2017 12:48:17 - Setting state to CREATED
04.12.2017 12:48:17 - Changed state from CREATED to INITIALIZING
04.12.2017 12:48:17 - Starting TestRun.858e5029-afd9-4434-bc4e-358a38ccb516 at 2017-12-04T12:48:19+01:00
04.12.2017 12:48:19 - Changed state from INITIALIZING to INITIALIZED
04.12.2017 12:48:19 - TestRunTask initialized
04.12.2017 12:48:19 - Invoking TEAM Engine remotely. This may take a while. Progress messages are not supported.
04.12.2017 12:48:19 - Timeout is set to: 20min
04.12.2017 13:08:19 - The OGC TEAM Engine is taking too long to respond.
04.12.2017 13:08:19 - Checking availability...
04.12.2017 13:08:19 - ...[OK]. The OGC TEAM Engine is available. You may need to ask the system administrator to increase the OGC TEAM Engine test driver timeout.
04.12.2017 13:08:20 - Releasing resources
04.12.2017 13:08:20 - Project Properties: 
04.12.2017 13:08:20 - etf.testcases - * 
04.12.2017 13:08:20 - serviceEndpoint - https://zbgisws.skgeodesy.sk/inspire_administrative_units_wfs/service.svc/get?ACCEPTVERSIONS=2.0.0&request=GetCapabilities&service=wfs&VERSION=2.0.0 
04.12.2017 13:08:20 - username -  
04.12.2017 13:08:20 - authUser -  
04.12.2017 13:08:20 - authMethod - basic 
04.12.2017 13:08:20 - TestRunTask initialized
04.12.2017 13:08:58 ERROR Response did not meet SLA 37915/30000
04.12.2017 13:08:58 ERROR Exception occurred in Test Step: java.lang.NullPointerException
04.12.2017 13:08:58 ERROR Exception occurred in Test Step: java.lang.NullPointerException
04.12.2017 13:08:58 ERROR Exception occurred in Test Step: java.lang.NullPointerException
04.12.2017 13:08:58 ERROR Exception occurred in Test Step: java.lang.NullPointerException
04.12.2017 13:08:58 - Releasing resources
04.12.2017 13:08:58 - Changed state from INITIALIZED to RUNNING
04.12.2017 13:08:58 - Duration: 20min
04.12.2017 13:08:58 - TestRun finished
04.12.2017 13:08:58 - Changed state from RUNNING to COMPLETED
</pre></div>
         <div id="rprtLogFile" data-role="collapsible" data-collapsed-icon="info" class="DoNotShowInSimpleView">
            <h3>Log path: Conformance Class: Download Service - Direct WFS</h3><pre>04.12.2017 12:48:17 - Preparing Test Run downloadService_17316219_Geodetick&yacute; a kartografick&yacute; &uacute;stav Bratislava(GK&Uacute;)_ (initiated Mon Dec 04 12:48:17 CET 2017)
04.12.2017 12:48:17 - Resolving Executable Test Suite dependencies
04.12.2017 12:48:17 - Preparing 2 Test Task:
04.12.2017 12:48:17 -  TestTask 1 (9f1ea8c5-ae1c-4f91-b81f-e294bb9f24bc)
04.12.2017 12:48:17 -  will perform tests on Test Object 'INSPIRE Download Service - Administrative Units' by using Executable Test Suite 'WFS 2.0 (OGC 09-025r2/ISO 19142) Conformance Test Suite (EID: 95a1b6fc-2b55-3d43-9502-3b8b605bda10, V: 1.26.0 )'
04.12.2017 12:48:17 -  with parameters: 
04.12.2017 12:48:17 - etf.testcases = *
04.12.2017 12:48:17 -  TestTask 2 (519aa7d4-a3e9-47db-a69a-4a0327625a92)
04.12.2017 12:48:17 -  will perform tests on Test Object 'INSPIRE Download Service - Administrative Units' by using Executable Test Suite 'Conformance Class: Download Service - Direct WFS (EID: ed2d3501-d700-4ff9-b9bf-070dece8ddbd, V: 1.0.0 )'
04.12.2017 12:48:17 -  with parameters: 
04.12.2017 12:48:17 - etf.testcases = *
04.12.2017 12:48:17 - Test Tasks prepared and ready to be executed. Waiting for the scheduler to start.
04.12.2017 12:48:17 - Setting state to CREATED
04.12.2017 12:48:17 - Changed state from CREATED to INITIALIZING
04.12.2017 12:48:17 - Starting TestRun.858e5029-afd9-4434-bc4e-358a38ccb516 at 2017-12-04T12:48:19+01:00
04.12.2017 12:48:19 - Changed state from INITIALIZING to INITIALIZED
04.12.2017 12:48:19 - TestRunTask initialized
04.12.2017 12:48:19 - Invoking TEAM Engine remotely. This may take a while. Progress messages are not supported.
04.12.2017 12:48:19 - Timeout is set to: 20min
04.12.2017 13:08:19 - The OGC TEAM Engine is taking too long to respond.
04.12.2017 13:08:19 - Checking availability...
04.12.2017 13:08:19 - ...[OK]. The OGC TEAM Engine is available. You may need to ask the system administrator to increase the OGC TEAM Engine test driver timeout.
04.12.2017 13:08:20 - Releasing resources
04.12.2017 13:08:20 - Project Properties: 
04.12.2017 13:08:20 - etf.testcases - * 
04.12.2017 13:08:20 - serviceEndpoint - https://zbgisws.skgeodesy.sk/inspire_administrative_units_wfs/service.svc/get?ACCEPTVERSIONS=2.0.0&request=GetCapabilities&service=wfs&VERSION=2.0.0 
04.12.2017 13:08:20 - username -  
04.12.2017 13:08:20 - authUser -  
04.12.2017 13:08:20 - authMethod - basic 
04.12.2017 13:08:20 - TestRunTask initialized
04.12.2017 13:08:58 ERROR Response did not meet SLA 37915/30000
04.12.2017 13:08:58 ERROR Exception occurred in Test Step: java.lang.NullPointerException
04.12.2017 13:08:58 ERROR Exception occurred in Test Step: java.lang.NullPointerException
04.12.2017 13:08:58 ERROR Exception occurred in Test Step: java.lang.NullPointerException
04.12.2017 13:08:58 ERROR Exception occurred in Test Step: java.lang.NullPointerException
04.12.2017 13:08:58 - Releasing resources
04.12.2017 13:08:58 - Changed state from INITIALIZED to RUNNING
04.12.2017 13:08:58 - Duration: 20min
04.12.2017 13:08:58 - TestRun finished
04.12.2017 13:08:58 - Changed state from RUNNING to COMPLETED
</pre></div>
         <div class="TestSuite" data-role="collapsible" data-theme="e" data-content-theme="e">
            <h2>WFS 2.0 (OGC 09-025r2/ISO 19142) Conformance Test Suite
               <div class="ui-li-count">0</div>
            </h2>This executable test suite (ETS) checks WFS 2.0 implementations for conformance with respect to OGC 09-025r2/ISO 19142 (Geographic information -- Web feature service) and related standards. Conformance testing is a kind of "black box" testing that examines externally visible characteristics or behaviors of the SUT and is independent of any implementation details.<br/><br/> This Executable Test Suite is executed using a remote TEAM Engine instance hosted by OGC for their Compliance Program (CITE). The results are transformed into the ETF internal report format. Some information that is typically included in ETF test results is not included in the TEAM Engine reports and cannot be included in this test report.<br/><br/>Please report any issues or problems with the OGC CITE tests in the <a target="_blank" href="https://cite.opengeospatial.org/forum">OGC Compliance Forum</a>.<br><br><table>
               <tbody>
                  <tr>
                     <td>Status</td>
                     <td>Internal error in test engine occured</td>
                  </tr>
                  <tr>
                     <td>Duration</td>
                     <td>0.001 s</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Test suite ID</td>
                     <td>EID95a1b6fc-2b55-3d43-9502-3b8b605bda10</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Author</td>
                     <td>Open Geospatial Consortium</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Date created</td>
                     <td>21/07/2017 20:45:47 GMT</td>
                  </tr>
                  <tr>
                     <td>Version</td>
                     <td>1.26.0</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Last editor</td>
                     <td>Open Geospatial Consortium</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Last updated</td>
                     <td>21/07/2017 20:45:47 GMT</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Reference</td>
                     <td><a class="ui-link" href="http://cite.opengeospatial.org/teamengine/rest/suites/wfs20/1.26/">Link</a></td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Hash</td>
                     <td>9F0377393A238CAD</td>
                  </tr>
               </tbody>
            </table><br><h3>The Test Suite was not executed because the Test Driver returned an error.</h3><label for="error.EID3ccf342c-2c2d-4ff7-8fe5-50fe8e6dbcc9">Error message</label><textarea id="error.EID3ccf342c-2c2d-4ff7-8fe5-50fe8e6dbcc9" data-mini="true" readonly class="ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow">OGC TEAM Engine is taking too long to respond. Timeout after 20min.</textarea><p>Please contact the system administrator if the problem persists.</p>
         </div>
         <div class="TestSuite" data-role="collapsible" data-theme="i" data-content-theme="i">
            <h2>Conformance Class: Download Service - Direct WFS
               <div class="ui-li-count">Failed: 1 / 2</div>
            </h2>This test suite examines an OGC Web Feature Service against the requirements related to the conformance class “Web Feature Service and Filter Encoding implementation of
Direct Access Download Service” in INSPIRE. This conformance class does not specify any requirements in addition to the dependencies to conformance classes specified by the OGC standard documents WFS 2.0 and FES 2.0. This Executable Test Suite, therefore, depends on the OGC <a href="http://cite.opengeospatial.org/teamengine/about/wfs/2.0.0/site/">WFS 2.0 Conformance Test Suite</a>, which is invoked automatically.
<br/> <br/>
The Executable Test Suite is divided into two test modules. In the first module 'Initialization and basic checks', basic queries are send to the service to ensure the endpoints are available. The 'Capabilities' test module contains a test case that checks, if the Capabilities document of the service declares all required Conformance Classes.
<br/> <br/>
There are a few test cases and test steps that are marked as 'technical test step' or 'technical test case' in the description. They are used to control the test execution flow of the steps. The description text of a technical test step indicates the test steps that are executed. If a technical test step fails, the other test steps, which have been called by the technical test step, should be checked first. To examine a reported issue, the assertion messages should be compared with the service responses which are included in the report. If the response contains an exception report, the request should be checked for 'incorrect' parameters (e.g., a non-existing feature type ID). The test step description typically includes information about the source of the parameter value (e.g., from a previous request where the feature type ID was listed).
<br/> <br/> <b>This is a draft version. It has limitations and is expected to contain errors.</b> Please report any issues or problems <a href="https://github.com/interactive-instruments/ets-repository/issues" target="_blank">in GitHub</a>.
<br/> <br/>
Known limitations are documented in the description of the applicable test case or test assertion.
<br/> <br/>
Source: <a href="http://inspire.ec.europa.eu/id/ats/download-service/3.1/wfs-direct" target="_blank">Conformance Class 'Direct WFS'</a><br><br><table>
               <tbody>
                  <tr>
                     <td>Status</td>
                     <td>Failed</td>
                  </tr>
                  <tr>
                     <td>Duration</td>
                     <td>38 s</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Test suite ID</td>
                     <td>EIDed2d3501-d700-4ff9-b9bf-070dece8ddbd</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Author</td>
                     <td>interactive instruments GmbH</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Date created</td>
                     <td>15/05/2017 00:00:00 GMT</td>
                  </tr>
                  <tr>
                     <td>Version</td>
                     <td>1.0.0</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Last editor</td>
                     <td>interactive instruments GmbH</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Last updated</td>
                     <td>26/06/2017 00:00:00 GMT</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Reference</td>
                     <td><a class="ui-link" href="https://github.com/inspire-eu-validation/ets-repository/tree/master/service/ds-wfs-direct-soapui-project.xml">Link</a></td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Hash</td>
                     <td>CBF29CE484222325</td>
                  </tr>
               </tbody>
            </table><br><div data-role="collapsible" data-theme="i" data-content-theme="i" class="TestModule FailedTestModule">
               <h2>Initialization and basic checks
                  <div class="ui-li-count">Failed: 1 / 5</div>
               </h2>Perform basic check to ensure all endpoints listed in the Capabilities are available, and initialize the Executable Test Suite with gathered information.

If this test case fails, all other test cases will be skipped!
Ensure that the schema locations and all endpoints can be queried!

Please note that for technical reasons this Executable Test Suite requires that schema locations must be accessible without any authentication mechanism.<br><br><table>
                  <tbody>
                     <tr>
                        <td>Status</td>
                        <td>Failed</td>
                     </tr>
                     <tr>
                        <td>Duration</td>
                        <td>38 s</td>
                     </tr>
                     <tr class="ReportDetail">
                        <td>Test module ID</td>
                        <td>EIDf80be489-b47d-416a-b915-6c9db207db33</td>
                     </tr>
                  </tbody>
               </table><br><div data-role="collapsible" data-enhanced="true" id="EID87b1b313-fbf6-4603-ab6d-583859dd6e23" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestCase SuccessfulTestCase">
                  <h3 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-h ui-mini">Init TestProject
                        <div class="ui-li-count">1</div><span class="ui-collapsible-heading-status"> click to expand contents</span></a></h3>
                  <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h">Technical test case. Initialize loggers and set credentials for the test run.<br><br><table>
                        <tbody>
                           <tr>
                              <td>Status</td>
                              <td>Passed</td>
                           </tr>
                           <tr>
                              <td>Duration</td>
                              <td>0.015 s</td>
                           </tr>
                           <tr class="ReportDetail">
                              <td>Test case ID</td>
                              <td>EID87b1b313-fbf6-4603-ab6d-583859dd6e23</td>
                           </tr>
                        </tbody>
                     </table><br><div data-role="collapsible" data-enhanced="true" id="EID216d4f3a-0160-1000-11e1-d5f51bf34285" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestStep SuccessfulTestStep ">
                        <h4 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-h ui-mini">Init TestProject<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h4>
                        <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h"><br><table>
                              <tbody>
                                 <tr>
                                    <td>Status</td>
                                    <td>Passed</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Started</td>
                                    <td>04/12/2017 13:08:20 GMT</td>
                                 </tr>
                                 <tr>
                                    <td>Duration</td>
                                    <td>0.013 s</td>
                                 </tr>
                                 <tr class="ReportDetail">
                                    <td>Test step ID</td>
                                    <td>EID54299aa1-8eac-45c4-8a68-638693524206</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Test Step URI</td>
                                    <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216d4f3a-0160-1000-11e1-d5f51bf34285" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216d4f3a-0160-1000-11e1-d5f51bf34285'); return false;">Link</a></td>
                                 </tr>
                              </tbody>
                           </table><br><div class="DoNotShowInSimpleView">
                              <div class="ExecutionStatement"><label for="d123956e108">Test instruction</label><textarea id="d123956e108.executionStatement" data-mini="true" readonly class="ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow">import de.interactive_instruments.xtf.*;
SOAPUI_I.init(log,context,testRunner);

// Also update credentials
TestSetup.init();</textarea></div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div data-role="collapsible" data-enhanced="true" id="EID09140236-f666-4839-a16b-3bd6936ad8fd" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestCase FailedTestCase">
                  <h3 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-i ui-mini">Service is available
                        <div class="ui-li-count">Failed: 1 / 3</div><span class="ui-collapsible-heading-status"> click to expand contents</span></a></h3>
                  <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-i">Check if the service is available. This test case will fail if an incorrect URL was provided, the Capabilities document is invalid, the GetCapabilities operation URL in the Capabilities document is incorrect or the service returns invalid XML. In the latter case, there might be a problem with the encoding, respectively the byte order mark (BOM) is incorrect.<br><br><table>
                        <tbody>
                           <tr>
                              <td>Status</td>
                              <td>Failed</td>
                           </tr>
                           <tr>
                              <td>Duration</td>
                              <td>38 s</td>
                           </tr>
                           <tr class="ReportDetail">
                              <td>Test case ID</td>
                              <td>EID09140236-f666-4839-a16b-3bd6936ad8fd</td>
                           </tr>
                        </tbody>
                     </table><br><div data-role="collapsible" data-enhanced="true" id="EID216d4f4c-0160-1000-46ee-6f483e98b89f" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestStep SuccessfulTestStep ">
                        <h4 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-h ui-mini">Check endpoint for Capabilities
                              <div class="ui-li-count">4</div><span class="ui-collapsible-heading-status"> click to expand contents</span></a></h4>
                        <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h">Implementation note: the users URL is simply passed through to respect additional parameters. If no Capabilities document is found, it is explicity requested in an optional second step 'Get Capabilities with parameters' with parameters.<br><br><table>
                              <tbody>
                                 <tr>
                                    <td>Status</td>
                                    <td>Passed</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Started</td>
                                    <td>04/12/2017 13:08:20 GMT</td>
                                 </tr>
                                 <tr>
                                    <td>Duration</td>
                                    <td>0.211 s</td>
                                 </tr>
                                 <tr class="ReportDetail">
                                    <td>Test step ID</td>
                                    <td>EIDa1d57f39-0872-42fe-a9a7-7f6ae3269d10</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Test Step URI</td>
                                    <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216d4f4c-0160-1000-46ee-6f483e98b89f" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216d4f4c-0160-1000-46ee-6f483e98b89f'); return false;">Link</a></td>
                                 </tr>
                              </tbody>
                           </table><br><p><a target="_blank" data-ajax="false" href="https://zbgisws.skgeodesy.sk/inspire_administrative_units_wfs/service.svc/get">
                                 							Endpoint
                                 						</a></p><label for="attachment.EIDefaa52d0-716c-482b-8d1a-c73699562b65">Request</label><textarea id="attachment.EIDefaa52d0-716c-482b-8d1a-c73699562b65" data-mini="true" readonly class="ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow">https://zbgisws.skgeodesy.sk/inspire_administrative_units_wfs/service.svc/get</textarea><p><a target="_blank" data-ajax="false" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestTaskResults/EIDec79566c-5911-44a8-8460-74705675e0eb/Attachments/EID6b4f9523-4001-4c1c-a17a-93a0b9544b85">
                                 							Open saved response
                                 						</a></p>
                           <div class="AssertionsContainer">
                              <h4>Assertions</h4>
                              <div data-role="collapsible" data-enhanced="true" id="EID216d503a-0160-1000-1cd6-e9bfb9683cb7" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed Assertion SuccessfulAssertion">
                                 <h5 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-check ui-btn-h ui-mini">30 seconds timeout<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h5>
                                 <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h"><br><table>
                                       <tbody>
                                          <tr>
                                             <td>Status</td>
                                             <td>Passed</td>
                                          </tr>
                                          <tr>
                                             <td>Duration</td>
                                             <td>0.001 s</td>
                                          </tr>
                                          <tr class="ReportDetail">
                                             <td>Assertion ID</td>
                                             <td>EID6bd1ce1d-4805-4049-8a22-3512024dba03</td>
                                          </tr>
                                          <tr class="DoNotShowInSimpleView">
                                             <td>Assertion URI</td>
                                             <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216d503a-0160-1000-1cd6-e9bfb9683cb7" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216d503a-0160-1000-1cd6-e9bfb9683cb7'); return false;">Link</a></td>
                                          </tr>
                                       </tbody>
                                    </table><br><div class="ReportDetail Expression"><label for="EID216d503a-0160-1000-1cd6-e9bfb9683cb7.expression">Expression:</label><textarea id="EID216d503a-0160-1000-1cd6-e9bfb9683cb7.expression" class="Expression ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow" data-mini="true" readonly>30000</textarea></div>
                                 </div>
                              </div>
                              <div data-role="collapsible" data-enhanced="true" id="EID216d503a-0160-1000-97aa-43d3291a9feb" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed Assertion SuccessfulAssertion">
                                 <h5 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-check ui-btn-h ui-mini">Expect no exception<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h5>
                                 <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h"><br><table>
                                       <tbody>
                                          <tr>
                                             <td>Status</td>
                                             <td>Passed</td>
                                          </tr>
                                          <tr>
                                             <td>Duration</td>
                                             <td>0.001 s</td>
                                          </tr>
                                          <tr class="ReportDetail">
                                             <td>Assertion ID</td>
                                             <td>EID0e9021ec-d7d6-4e78-8967-c5061ada16ef</td>
                                          </tr>
                                          <tr class="DoNotShowInSimpleView">
                                             <td>Assertion URI</td>
                                             <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216d503a-0160-1000-97aa-43d3291a9feb" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216d503a-0160-1000-97aa-43d3291a9feb'); return false;">Link</a></td>
                                          </tr>
                                       </tbody>
                                    </table><br><div class="ReportDetail Expression"><label for="EID216d503a-0160-1000-97aa-43d3291a9feb.expression">Expression:</label><textarea id="EID216d503a-0160-1000-97aa-43d3291a9feb.expression" class="Expression ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow" data-mini="true" readonly>exists(/*:ServiceExceptionReport) or exists(/*:ExceptionReport) or exists(/*:Exception)</textarea></div>
                                    <div class="ReportDetail ExpectedResult"><label for="EID216d503a-0160-1000-97aa-43d3291a9feb.expectedResult">Expected result:</label><textarea id="EID216d503a-0160-1000-97aa-43d3291a9feb.expectedResult" class="ExpectedResult ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow" data-mini="true" readonly>false</textarea></div>
                                 </div>
                              </div>
                              <div data-role="collapsible" data-enhanced="true" id="EID216d503a-0160-1000-3f3c-97e7bd08faf2" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed Assertion SuccessfulAssertion">
                                 <h5 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-check ui-btn-h ui-mini">HTTP status code 200 is returned<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h5>
                                 <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h"><br><table>
                                       <tbody>
                                          <tr>
                                             <td>Status</td>
                                             <td>Passed</td>
                                          </tr>
                                          <tr>
                                             <td>Duration</td>
                                             <td>0.001 s</td>
                                          </tr>
                                          <tr class="ReportDetail">
                                             <td>Assertion ID</td>
                                             <td>EID1ce8323d-1823-45b8-9ddf-57a6692bab13</td>
                                          </tr>
                                          <tr class="DoNotShowInSimpleView">
                                             <td>Assertion URI</td>
                                             <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216d503a-0160-1000-3f3c-97e7bd08faf2" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216d503a-0160-1000-3f3c-97e7bd08faf2'); return false;">Link</a></td>
                                          </tr>
                                       </tbody>
                                    </table><br><div class="ReportDetail Expression"><label for="EID216d503a-0160-1000-3f3c-97e7bd08faf2.expression">Expression:</label><textarea id="EID216d503a-0160-1000-3f3c-97e7bd08faf2.expression" class="Expression ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow" data-mini="true" readonly>200</textarea></div>
                                    <div class="ReportDetail ExpectedResult"><label for="EID216d503a-0160-1000-3f3c-97e7bd08faf2.expectedResult">Expected result:</label><textarea id="EID216d503a-0160-1000-3f3c-97e7bd08faf2.expectedResult" class="ExpectedResult ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow" data-mini="true" readonly>exist</textarea></div>
                                 </div>
                              </div>
                              <div data-role="collapsible" data-enhanced="true" id="EID216d503a-0160-1000-5561-f5ca66331282" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed Assertion SuccessfulAssertion">
                                 <h5 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-check ui-btn-h ui-mini">No invalid characters before XML prolog<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h5>
                                 <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h"><br><table>
                                       <tbody>
                                          <tr>
                                             <td>Status</td>
                                             <td>Passed</td>
                                          </tr>
                                          <tr>
                                             <td>Duration</td>
                                             <td>0.001 s</td>
                                          </tr>
                                          <tr class="ReportDetail">
                                             <td>Assertion ID</td>
                                             <td>EIDc97c20c5-0513-4259-914f-1ce9f2b09169</td>
                                          </tr>
                                          <tr class="DoNotShowInSimpleView">
                                             <td>Assertion URI</td>
                                             <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216d503a-0160-1000-5561-f5ca66331282" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216d503a-0160-1000-5561-f5ca66331282'); return false;">Link</a></td>
                                          </tr>
                                       </tbody>
                                    </table><br><div class="ReportDetail Expression"><label for="EID216d503a-0160-1000-5561-f5ca66331282.expression">Expression:</label><textarea id="EID216d503a-0160-1000-5561-f5ca66331282.expression" class="Expression ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow" data-mini="true" readonly>import de.interactive_instruments.etf.suim.*
import de.interactive_instruments.*

if(!messageExchange.hasResponse()) {
  throw new TranslatableAssertionError("TR.noDataReturned")
}

if(messageExchange.responseContent.size()&gt;7) {
	final String xmlProlog = messageExchange.responseContent.substring(0,7);
	if(!xmlProlog.trim().startsWith("&lt;")) {
		throw new TranslatableAssertionError("TR.invalidXmlProlog", "prolog", xmlProlog.replaceAll("\\p{C}", "?") )
	}
}</textarea></div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="TestStepPlaceHolder"></div>
                     <div data-role="collapsible" data-enhanced="true" id="EID216d503c-0160-1000-4929-dbcdfccef159" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestStep FailedTestStep">
                        <h4 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-i ui-mini">Get Capabilities
                              <div class="ui-li-count">Failed: 1 / 3</div><span class="ui-collapsible-heading-status"> click to expand contents</span></a></h4>
                        <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-i"><br><table>
                              <tbody>
                                 <tr>
                                    <td>Status</td>
                                    <td>Failed</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Started</td>
                                    <td>04/12/2017 13:08:20 GMT</td>
                                 </tr>
                                 <tr>
                                    <td>Duration</td>
                                    <td>37 s</td>
                                 </tr>
                                 <tr class="ReportDetail">
                                    <td>Test step ID</td>
                                    <td>EID86c82a0f-61be-4290-a62f-8bc19fc55499</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Test Step URI</td>
                                    <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216d503c-0160-1000-4929-dbcdfccef159" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216d503c-0160-1000-4929-dbcdfccef159'); return false;">Link</a></td>
                                 </tr>
                              </tbody>
                           </table><br><p><a target="_blank" data-ajax="false" href="https://zbgisws.skgeodesy.sk/inspire_administrative_units_wfs/service.svc/get">
                                 							Endpoint
                                 						</a></p><label for="attachment.EID993cf981-bc27-40b4-a9d2-075daa551974">Request</label><textarea id="attachment.EID993cf981-bc27-40b4-a9d2-075daa551974" data-mini="true" readonly class="ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow">https://zbgisws.skgeodesy.sk/inspire_administrative_units_wfs/service.svc/get</textarea><p><a target="_blank" data-ajax="false" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestTaskResults/EIDec79566c-5911-44a8-8460-74705675e0eb/Attachments/EIDa76b6908-f839-4d0f-bd97-3bcd7b11e437">
                                 							Open saved response
                                 						</a></p>
                           <div class="AssertionsContainer">
                              <h4>Assertions</h4>
                              <div data-role="collapsible" data-enhanced="true" id="EID216de492-0160-1000-cc28-f8cf41fc854a" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed Assertion SuccessfulAssertion">
                                 <h5 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-check ui-btn-h ui-mini">Expect a Capabilities root element<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h5>
                                 <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h"><br><table>
                                       <tbody>
                                          <tr>
                                             <td>Status</td>
                                             <td>Passed</td>
                                          </tr>
                                          <tr>
                                             <td>Duration</td>
                                             <td>0.001 s</td>
                                          </tr>
                                          <tr class="ReportDetail">
                                             <td>Assertion ID</td>
                                             <td>EID0f3f542d-09fa-4958-916e-661897dee1d8</td>
                                          </tr>
                                          <tr class="DoNotShowInSimpleView">
                                             <td>Assertion URI</td>
                                             <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216de492-0160-1000-cc28-f8cf41fc854a" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216de492-0160-1000-cc28-f8cf41fc854a'); return false;">Link</a></td>
                                          </tr>
                                       </tbody>
                                    </table><br><div class="ReportDetail Expression"><label for="EID216de492-0160-1000-cc28-f8cf41fc854a.expression">Expression:</label><textarea id="EID216de492-0160-1000-cc28-f8cf41fc854a.expression" class="Expression ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow" data-mini="true" readonly>import de.interactive_instruments.etf.suim.*
Assert a = new Assert(messageExchange, context, log, Assert.INSPIRE_DS_NS);
a.exists("/wfs:WFS_Capabilities", "TR.missingCapabilitiesRootElement");</textarea></div>
                                 </div>
                              </div>
                              <div data-role="collapsible" data-enhanced="true" id="EID216de492-0160-1000-c62d-90a348f9cbeb" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed Assertion SuccessfulAssertion">
                                 <h5 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-check ui-btn-h ui-mini">Expect Capabilites in version 2.0.0<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h5>
                                 <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h"><br><table>
                                       <tbody>
                                          <tr>
                                             <td>Status</td>
                                             <td>Passed</td>
                                          </tr>
                                          <tr>
                                             <td>Duration</td>
                                             <td>0.001 s</td>
                                          </tr>
                                          <tr class="ReportDetail">
                                             <td>Assertion ID</td>
                                             <td>EIDe012b824-d2c8-4dc9-b7f0-30b023750ab7</td>
                                          </tr>
                                          <tr class="DoNotShowInSimpleView">
                                             <td>Assertion URI</td>
                                             <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216de492-0160-1000-c62d-90a348f9cbeb" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216de492-0160-1000-c62d-90a348f9cbeb'); return false;">Link</a></td>
                                          </tr>
                                       </tbody>
                                    </table><br><div class="ReportDetail Expression"><label for="EID216de492-0160-1000-c62d-90a348f9cbeb.expression">Expression:</label><textarea id="EID216de492-0160-1000-c62d-90a348f9cbeb.expression" class="Expression ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow" data-mini="true" readonly>import de.interactive_instruments.etf.suim.*
Assert a = new Assert(messageExchange, context, log, Assert.INSPIRE_DS_NS);
a.equals("/wfs:WFS_Capabilities/@version", "Capabilities version", "2.0.0");</textarea></div>
                                 </div>
                              </div>
                              <div data-role="collapsible" data-enhanced="true" id="EID216de492-0160-1000-a6c6-ac054adcc542" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed Assertion FailedAssertion">
                                 <h5 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-alert ui-btn-i ui-mini">30 seconds timeout<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h5>
                                 <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-i"><br><table>
                                       <tbody>
                                          <tr>
                                             <td>Status</td>
                                             <td>Failed</td>
                                          </tr>
                                          <tr>
                                             <td>Duration</td>
                                             <td>0.001 s</td>
                                          </tr>
                                          <tr class="ReportDetail">
                                             <td>Assertion ID</td>
                                             <td>EIDac2c9ddd-3308-456f-ac05-5a9e4887e44e</td>
                                          </tr>
                                          <tr class="DoNotShowInSimpleView">
                                             <td>Assertion URI</td>
                                             <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216de492-0160-1000-a6c6-ac054adcc542" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216de492-0160-1000-a6c6-ac054adcc542'); return false;">Link</a></td>
                                          </tr>
                                       </tbody>
                                    </table><br><div class="ReportDetail Expression"><label for="EID216de492-0160-1000-a6c6-ac054adcc542.expression">Expression:</label><textarea id="EID216de492-0160-1000-a6c6-ac054adcc542.expression" class="Expression ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow" data-mini="true" readonly>30000</textarea></div>
                                    <div class="FailureMessage"><label for="d123956e6501">Messages</label><textarea id="d123956e6501.failureMessages" data-mini="true" readonly class="ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow">Response did not meet SLA 37915/30000&#xD;
</textarea></div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div data-role="collapsible" data-enhanced="true" id="EID25d17081-ffd3-4ac0-a55f-ddac2bb62e3f" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestCase SuccessfulTestCase DoNotShowInSimpleView">
                  <h3 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-f ui-mini">GetCapabilities is schema valid
                        <div class="ui-li-count">1</div><span class="ui-collapsible-heading-status"> click to expand contents</span></a></h3>
                  <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-f">Validate Capabilites response against xsi:schemaLocation.<br><br><table>
                        <tbody>
                           <tr>
                              <td>Status</td>
                              <td>Undefined</td>
                           </tr>
                           <tr>
                              <td>Duration</td>
                              <td>0.006 s</td>
                           </tr>
                           <tr class="ReportDetail">
                              <td>Test case ID</td>
                              <td>EID25d17081-ffd3-4ac0-a55f-ddac2bb62e3f</td>
                           </tr>
                        </tbody>
                     </table><br><div data-role="collapsible" data-enhanced="true" id="EID216de499-0160-1000-04b7-c861ec1c5f60" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestStep SuccessfulTestStep DoNotShowInSimpleView">
                        <h4 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-f ui-mini">GetCapabilities<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h4>
                        <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-f">Implementation note: The GetCapabilities request includes both the "AcceptVersions" and the "version" parameters. Strictly, for WFS 2.0 / OWS Common 1.1, only the "AcceptVersions" parameter is specified. However, for backward compatibility, the "version" parameter, which has been used in earlier versions of the WFS standard, is still included as a deprecated parameter in OWS Common 1.1. OWS Common 1.1.0 states: "A server may also optionally implement the old-style version negotiation mechanism so that old clients that send GetCapabilities requests containing a 'version' parameter can be served." To cover both the old and the newer version negotiation approach, the request includes both parameters. User specified parameters are dropped in this request.<br><br><table>
                              <tbody>
                                 <tr>
                                    <td>Status</td>
                                    <td>Undefined</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Started</td>
                                    <td>04/12/2017 13:08:58 GMT</td>
                                 </tr>
                                 <tr>
                                    <td>Duration</td>
                                    <td>0.006 s</td>
                                 </tr>
                                 <tr class="ReportDetail">
                                    <td>Test step ID</td>
                                    <td>EIDc76de6b0-89c6-4097-a71e-1ea62c568736</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Test Step URI</td>
                                    <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216de499-0160-1000-04b7-c861ec1c5f60" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216de499-0160-1000-04b7-c861ec1c5f60'); return false;">Link</a></td>
                                 </tr>
                              </tbody>
                           </table><br></div>
                     </div>
                  </div>
               </div>
               <div data-role="collapsible" data-enhanced="true" id="EID75450e95-f59e-430e-8bbc-57148b51edd1" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestCase SuccessfulTestCase DoNotShowInSimpleView">
                  <h3 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-f ui-mini">Operation endpoints are available
                        <div class="ui-li-count">2</div><span class="ui-collapsible-heading-status"> click to expand contents</span></a></h3>
                  <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-f">Check if the endpoints from the Capabilites are accesable and if basic requirements are met to query the service. The first found FeatureType and the first found OutputFormat from the Capabilities are taken for one GetFeature and one DescribeFeatureType request. This test case will most likely fail if FeatureTypes or OutputFormats are listed in the (manually edited) Capabilities document which the underlying service implementation is not capabile to serve.<br><br><table>
                        <tbody>
                           <tr>
                              <td>Status</td>
                              <td>Undefined</td>
                           </tr>
                           <tr>
                              <td>Duration</td>
                              <td>0.001 s</td>
                           </tr>
                           <tr class="ReportDetail">
                              <td>Test case ID</td>
                              <td>EID75450e95-f59e-430e-8bbc-57148b51edd1</td>
                           </tr>
                        </tbody>
                     </table><br><div class="TestStepPlaceHolder"></div>
                     <div data-role="collapsible" data-enhanced="true" id="EID216de4a0-0160-1000-22e6-068fc96ee5c4" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestStep SuccessfulTestStep DoNotShowInSimpleView">
                        <h4 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-f ui-mini">GetCapabilities<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h4>
                        <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-f">Request Capabilities, expect a Capabilites document is returned which lists at least one usable FeatureType.<br><br><table>
                              <tbody>
                                 <tr>
                                    <td>Status</td>
                                    <td>Undefined</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Started</td>
                                    <td>04/12/2017 13:08:58 GMT</td>
                                 </tr>
                                 <tr>
                                    <td>Duration</td>
                                    <td>0.001 s</td>
                                 </tr>
                                 <tr class="ReportDetail">
                                    <td>Test step ID</td>
                                    <td>EIDd2d9ad0c-b008-47f3-996a-fe179954e807</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Test Step URI</td>
                                    <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216de4a0-0160-1000-22e6-068fc96ee5c4" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216de4a0-0160-1000-22e6-068fc96ee5c4'); return false;">Link</a></td>
                                 </tr>
                              </tbody>
                           </table><br></div>
                     </div>
                  </div>
               </div>
               <div data-role="collapsible" data-enhanced="true" id="EIDf739929b-aa73-4a10-ac57-ffdf5ee50c14" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestCase SuccessfulTestCase DoNotShowInSimpleView">
                  <h3 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-f ui-mini">Basic checks passed and Capabilities still accessible
                        <div class="ui-li-count">1</div><span class="ui-collapsible-heading-status"> click to expand contents</span></a></h3>
                  <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-f">Check if the service is still available and the Test initialisation phase has been completed successfully.<br><br><table>
                        <tbody>
                           <tr>
                              <td>Status</td>
                              <td>Undefined</td>
                           </tr>
                           <tr>
                              <td>Duration</td>
                              <td>0.001 s</td>
                           </tr>
                           <tr class="ReportDetail">
                              <td>Test case ID</td>
                              <td>EIDf739929b-aa73-4a10-ac57-ffdf5ee50c14</td>
                           </tr>
                        </tbody>
                     </table><br><div data-role="collapsible" data-enhanced="true" id="EID216de4a1-0160-1000-2cea-40b69dc0658b" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestStep SuccessfulTestStep DoNotShowInSimpleView">
                        <h4 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-f ui-mini">GetCapabilities<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h4>
                        <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-f">Requests the Capabilities document to check if the service is still up and running<br><br><table>
                              <tbody>
                                 <tr>
                                    <td>Status</td>
                                    <td>Undefined</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Started</td>
                                    <td>04/12/2017 13:08:58 GMT</td>
                                 </tr>
                                 <tr>
                                    <td>Duration</td>
                                    <td>0.001 s</td>
                                 </tr>
                                 <tr class="ReportDetail">
                                    <td>Test step ID</td>
                                    <td>EIDd19a66c9-6fad-4170-b2bf-dd11c74d5d77</td>
                                 </tr>
                                 <tr class="DoNotShowInSimpleView">
                                    <td>Test Step URI</td>
                                    <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EID216de4a1-0160-1000-2cea-40b69dc0658b" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID216de4a1-0160-1000-2cea-40b69dc0658b'); return false;">Link</a></td>
                                 </tr>
                              </tbody>
                           </table><br></div>
                     </div>
                  </div>
               </div>
            </div>
            <div data-role="collapsible" data-theme="j" data-content-theme="g" class="TestModule SkippedTestModule">
               <h2>Capabilities
                  <div class="ui-li-count">1</div>
               </h2>Test module for checking Capabilities related information.<br><br><table>
                  <tbody>
                     <tr>
                        <td>Status</td>
                        <td>Skipped</td>
                     </tr>
                     <tr>
                        <td>Duration</td>
                        <td>0.004 s</td>
                     </tr>
                     <tr class="ReportDetail">
                        <td>Test module ID</td>
                        <td>EIDf2ea72a9-a16f-4d3f-9809-baa2f7902db4</td>
                     </tr>
                  </tbody>
               </table><br><div data-role="collapsible" data-enhanced="true" id="EID5d92da69-7bdb-4f71-8c27-71f845644727" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestCase SkippedTestCase">
                  <h3 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-alert ui-btn-j ui-mini">Conformance Classes
                        <div class="ui-li-count">2</div><span class="ui-collapsible-heading-status"> click to expand contents</span></a></h3>
                  <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-g">
                     <h3>The test case was skipped because it depends on other test cases that failed or were
                        skipped as well. Check the cause of the problem by checking failed test cases which
                        this test case depends on.
                     </h3>The test case performs a GetCapabilities request and checks if the service supports all required Conformance Classes.
<br/>
<br/>
Relevant Requirements:
<ul>
<li>TG Requirement 61: Implementations shall meet TG Requirement 48 (conformance to [ISO 19142] 'HTTP GET' conformance class) and TG Requirement 52 (one endpoint for each INSPIRE dataset).</li>
<li>TG Requirement 62: Implementations shall conform to ISO 19142 Conformance Class 'Basic WFS'</li>
<li>TG Requirement 63: A Direct Access Download Service shall conform to ISO 19143 'Ad hoc Query' Conformance Class.</li>
<li>TG Requirement 64: A Direct Access Download Service shall conform to ISO 19143 'Resource Identification' Conformance Class.</li>
<li>TG Requirement 65: A Direct Access Download Service shall conform to ISO 19143 'Minimum Standard Filter' Conformance Class.</li>
<li>TG Requirement 66: A Direct Access Download Service shall conform to ISO 19143 'Minimum Spatial Filter' Conformance Class.</li>
<li>TG Requirement 67: A Direct Access Download Service shall conform to ISO 19143 'Minimum Temporal Filter' Conformance Class.</li>
<li>TG Requirement 68: A Direct Access Download Service shall conform to ISO 19143 'Minimum XPath' Conformance Class.</li>
</ul>
<br/>
<br/>
Source: <a href="http://inspire.ec.europa.eu/id/ats/download-service/3.1/wfs-direct" target="_blank">Abstract Test Case 'Conformance Classes'</a><br><br><table>
                        <tbody>
                           <tr>
                              <td>Status</td>
                              <td>Skipped</td>
                           </tr>
                           <tr>
                              <td>Duration</td>
                              <td>0.003 s</td>
                           </tr>
                           <tr class="">
                              <td>Dependency</td>
                              <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EID858e5029-afd9-4434-bc4e-358a38ccb516.html?lang=en#EIDf739929b-aa73-4a10-ac57-ffdf5ee50c14" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EIDf739929b-aa73-4a10-ac57-ffdf5ee50c14'); return false;">Basic checks passed and Capabilities still accessible</a></td>
                           </tr>
                           <tr class="ReportDetail">
                              <td>Test case ID</td>
                              <td>EID5d92da69-7bdb-4f71-8c27-71f845644727</td>
                           </tr>
                        </tbody>
                     </table><br></div>
               </div>
            </div>
         </div>
      </div>
      <div data-role="footer">
         <h1>Report generated by ETF</h1>
      </div>
      <div class="ui-field-contain" id="lodFadinMenu" style="display: none; width: 200px; position: fixed; top: 10px; right: 5px;" data-role="controlgroup"><label for="select-Show">Level of detail</label><select name="select-Show" id="lodFadinMenuSelect" data-mini="true">
            <option value="cntrlAllDetails">All details</option>
            <option value="cntrlLessInformation">Less information</option>
            <option value="cntrlSimplified" selected>Simplified</option></select></div><script>
			
			function SelectorCache() {
				var cache = {};
				function getFromCache( selector ) {
					if ( undefined === cache[ selector ] ) {
						cache[ selector ] = $( selector );
					}
					return cache[ selector ];
				}
				return { get: getFromCache };
			}
			var cache = new SelectorCache();

			function hide(elements) {
				elements.css({ display: 'none' });
			}

			function show(elements) {
				elements.css({ display: '' });
			}

			function updateLod(cntrl) {
				if(cntrl=="cntrlSimplified")
				{
					hide(cache.get('.ReportDetail, .DoNotShowInSimpleView, .XQueryContainsAssertion'));
				}
				else if(cntrl=="cntrlLessInformation")
				{
					hide(cache.get('.ReportDetail'));
					show(cache.get('.DoNotShowInSimpleView'));
				}
				else if(cntrl=="cntrlAllDetails")
				{
					show(cache.get('.ReportDetail, .DoNotShowInSimpleView'));
				}
			}
			
			
			cache.get( "input[name=radio-filter]" ).on( "click", function() {
			
			var cntrl = $( "input[name=radio-filter]:checked" ).val();
				if(cntrl=="cntrlShowOnlyFailed")
				{
					hide(cache.get('.SuccessfulTestModule, .ManualTestModule, .SkippedTestModule, .SuccessfulTestCase, .ManualTestCase, .SuccessfulTestStep, .ManualTestStep, .SuccessfulAssertion, .ManualAssertion, .SkippedTestCase, .SkippedTestStep, .SkippedAssertion'));					
					show(cache.get('.FailedTestCase, .FailedTestStep, .FailedAssertion'));
					
					if(cache.get('.TestStep, .Assertion').length < 3500) {
						cache.get('.TestSuite').collapsible('expand');
						cache.get('.FailedTestModule').collapsible('expand');
						cache.get('.FailedTestCase').collapsible('expand');
						cache.get('.FailedTestStep').collapsible('expand');
						cache.get('.FailedAssertion').collapsible('expand');
					}
				}
				else if(cntrl=="cntrlShowOnlyManual")
				{
					hide(cache.get('.SuccessfulTestModule, .FailedTestModule, .SkippedTestModule, .SuccessfulTestCase, .FailedTestCase, .SkippedTestCase, .SkippedTestStep, .SkippedAssertion, .SuccessfulTestStep, .FailedTestStep, .SuccessfulAssertion, .FailedAssertion'));
					show(cache.get('.ManualTestModule, .ManualTestCase, .ManualTestStep, .ManualAssertion'));
					
					if(cache.get('.TestStep, .Assertion').length < 3500) {
						cache.get('.TestSuite').collapsible('expand');
						cache.get('.ManualTestModule').collapsible('expand');
						cache.get('.ManualTestCase').collapsible('expand');
						cache.get('.ManualTestStep').collapsible('expand');
						cache.get('.ManualAssertion').collapsible('expand');
					}
				}
				else if(cntrl=="cntrlShowAll")
				{
					show(cache.get('.SuccessfulTestModule, .FailedTestModule, .ManualTestModule, .SkippedTestModule, .SuccessfulTestCase, .SuccessfulTestStep, .SuccessfulAssertion, .SkippedTestCase, .SkippedTestStep, .SkippedAssertion, .ManualTestCase, .ManualTestStep, .ManualAssertion, .FailedTestCase, .FailedTestStep, .FailedAssertion'));
				}
			});
			
			$.fn.exists = function(){ return this.length > 0; }
			
			$.fn.getParentWithClass = function(className) {
				var p = this.parent();
				if(p.exists()) {
					return p.hasClass(className) ? p : p.getParentWithClass(className);
				}
				console.warn('Parent class '+className+' not found');
				return null;
			}
			
			
			function jumpToAnchor(anchorId) {
				var anchorElement = $('#'+anchorId);
				if(anchorId!="" && anchorElement.exists()) {
					console.log("Scrolling to anchor: "+anchorId);
					// Expand parent model items

					anchorElement.collapsible('expand').getParentWithClass("TestSuite").collapsible('expand');
					var testModulePar = anchorElement.collapsible('expand').getParentWithClass("TestModule")
					if(testModulePar) {
						testModulePar.collapsible('expand');
					}
					var testCasePar = anchorElement.collapsible('expand').getParentWithClass("TestCase");
					if(testCasePar) {
						testCasePar.collapsible('expand');
					}
					var testStepPar = anchorElement.collapsible('expand').getParentWithClass("TestStep");
					if(testStepPar) {
						testStepPar.collapsible('expand');
					}
					var position = $(anchorElement).offset().top;
					$("html, body").stop().animate({ scrollTop: position });
					window.history.pushState(null,"", "#"+anchorId);
				}
			}			
			
			$("#controlgroupLOD input").on( "click", function() {
				var cntrl = $( "#controlgroupLOD input:checked" ).val();
				$('#lodFadinMenuSelect').val(cntrl).selectmenu('refresh');
				updateLod(cntrl);
			});
			$("#lodFadinMenuSelect").on( "change", function() {
				var cntrl = $( "#lodFadinMenuSelect option:selected").val()
				$("#cntrlAllDetails").prop('checked', false).checkboxradio("refresh");
				$("#cntrlLessInformation").prop('checked', false).checkboxradio("refresh");
				$("#cntrlSimplified").prop('checked', false).checkboxradio("refresh");
				$("#"+cntrl).prop('checked', true).checkboxradio("refresh");
				updateLod(cntrl);
			});	
			$(document).scroll(function () {
				var y = $(this).scrollTop();
				if (y > 370) {
					cache.get('#lodFadinMenu').fadeIn();
				} else {
					cache.get('#lodFadinMenu').fadeOut();
				}
			});
			
			
			$(document).one('pagebeforeshow', function() {				
				
				var url = decodeURIComponent(window.location.href);
				var anchorIdx = url.indexOf("#");
				var anchorId = anchorIdx != -1 ? url.substring(anchorIdx+1) : "";
				var anchorElement = $('#'+anchorId);
				if(anchorId!="" && anchorElement.exists()) {
					cache.get('.DoNotShowInSimpleView').show();
					jumpToAnchor(anchorId);
					$("body").one("pagecontainershow", function () {
						var position = cache.get(anchorElement).offset().top;
						// ... but it works...
						setTimeout( function() {
							cache.get("html, body").stop().animate({ scrollTop: position });
							},150);
						});
				}
				
				
				if ( cache.get('.ManualTestCase, .ManualTestStep, .ManualAssertion').length==0) {
					cache.get('#cntrlShowOnlyManual').checkboxradio();
					cache.get('#cntrlShowOnlyManual').checkboxradio('refresh');
					cache.get('#cntrlShowOnlyManual').checkboxradio('disable').checkboxradio('refresh');
				}
				
				
				hide(cache.get('.ReportDetail, .DoNotShowInSimpleView, .XQueryContainsAssertion'));
				
			});
			
		</script></body>
</html>